export function ModelCachingScheduleWidget({ setting, disabled, onChange }: {
    setting: any;
    disabled: any;
    onChange: any;
}): import("react/jsx-runtime").JSX.Element;
export namespace ModelCachingScheduleWidget {
    export { propTypes };
}
declare namespace propTypes {
    let setting: PropTypes.Validator<object>;
    let disabled: PropTypes.Requireable<boolean>;
    let onChange: PropTypes.Validator<(...args: any[]) => any>;
}
import PropTypes from "prop-types";
export {};
